rpms/bittorrent/FC-3 bittorrent.spec, 1.10, 1.11 bittorrent.desktop, 1.1, 1.2 btseed.init, 1.2, 1.3 bttrack.init, 1.2, 1.3 sources, 1.7, 1.8 .cvsignore, 1.7, 1.8

Paul Howarth (pghmcfc) fedora-extras-commits at redhat.com
Wed Nov 23 12:38:34 UTC 2005


Author: pghmcfc

Update of /cvs/extras/rpms/bittorrent/FC-3
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv22383

Modified Files:
	bittorrent.spec bittorrent.desktop btseed.init bttrack.init 
	sources .cvsignore 
Log Message:
resync with devel



Index: bittorrent.spec
===================================================================
RCS file: /cvs/extras/rpms/bittorrent/FC-3/bittorrent.spec,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- bittorrent.spec	22 Sep 2005 10:04:22 -0000	1.10
+++ bittorrent.spec	23 Nov 2005 12:38:32 -0000	1.11
@@ -3,7 +3,7 @@
 %{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
 
 Name:           bittorrent
-Version:        4.0.4
+Version:        4.2.0
 Release:        1%{?dist}
 Summary:        BitTorrent swarming network file transfer tool
 
@@ -18,12 +18,16 @@
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 
-BuildRequires:  python-devel desktop-file-utils
+BuildRequires:  python-devel desktop-file-utils gettext
+Requires:       python-crypto
 # FC4 and later auto-generate python version dependency
 %if %{!?fedora:0}%{?fedora} < 4 || %{!?rhel:0}%{?rhel}
 Requires:       python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
 %endif
 
+Provides:	python-khashmir = %{version}-%{release}
+Obsoletes:	python-khashmir < %{version}-%{release}
+
 Requires(pre):  %{_sbindir}/useradd
 Requires(post): /sbin/chkconfig
 Requires(post): /sbin/service
@@ -61,9 +65,19 @@
 %define bt_statedir %{_localstatedir}/lib/bittorrent
 %endif
 
+# Fedora >= 4 and RHEL > 4 have /etc/pki
+%if %{!?fedora:0}%{?fedora} >= 4 || %{!?rhel:0}%{?rhel} > 4
+%define pkidir %{_sysconfdir}/pki
+%else
+%define pkidir %{_datadir}
+%endif
+
 %prep
 %setup -q -n BitTorrent-%{version}
-%{__sed} -i "s/appdir = .*/appdir = '%{name}-%{version}'/" BitTorrent/__init__.py
+%{__sed} -i "s#appdir = .*#appdir = '%{name}-%{version}'#" \
+	BitTorrent/platform.py
+%{__sed} -i "s#public_key_file = .*#public_key_file = open('%{pkidir}/bittorrent/public.key', 'rb')#" \
+	BitTorrent/NewVersion.py
 
 %{__cat} <<EOF >btseed.sysconfig
 DIR=%{bt_dir}
@@ -106,13 +120,15 @@
 %{__rm} -rf $RPM_BUILD_ROOT
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
-%{_bindir}/desktop-file-install --vendor %{desktopvendor} \
+/usr/bin/desktop-file-install --vendor %{desktopvendor} \
 	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
 	--add-category X-Fedora \
 	%{SOURCE1}
 %{__install} -d $RPM_BUILD_ROOT%{bt_dir}
 %{__install} -d $RPM_BUILD_ROOT%{bt_statedir}
 %{__install} -d $RPM_BUILD_ROOT%{_localstatedir}/log/bittorrent
+%{__install} -d -m 755 $RPM_BUILD_ROOT%{pkidir}/bittorrent
+%{__install} -m 0644 public.key $RPM_BUILD_ROOT%{pkidir}/bittorrent
 %{__install} -m 0644 -D %{SOURCE2}        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/bittorrent.png
 %{__install} -m 0755 -D %{SOURCE3}        $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/btseed
 %{__install} -m 0755 -D %{SOURCE4}        $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/bttrack
@@ -120,12 +136,16 @@
 %{__install} -m 0644 -D bttrack.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/bttrack
 %{__install} -m 0644 -D btseed.logrotate  $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/btseed
 %{__install} -m 0644 -D bttrack.logrotate $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/bttrack
+# pidof doesn't find scripts with hyphenated names, so make some convenience links for initscripts
+%{__ln_s} bittorrent-tracker $RPM_BUILD_ROOT%{_bindir}/bttrack
+%{__ln_s} launchmany-console $RPM_BUILD_ROOT%{_bindir}/btseed
+%{find_lang} bittorrent
 
 %clean
 %{__rm} -rf $RPM_BUILD_ROOT
 
 %pre
-%{_sbindir}/useradd -r -s /sbin/nologin -d %{_localstatedir}/spool/bittorrent \
+/usr/sbin/useradd -r -s /sbin/nologin -d %{_localstatedir}/spool/bittorrent \
 	-c "BitTorrent Seed/Tracker" torrent &>/dev/null || :
 
 %post
@@ -147,31 +167,37 @@
 fi
 
 %post gui
-%{_bindir}/update-desktop-database %{_datadir}/applications &>/dev/null || :
+/usr/bin/update-desktop-database %{_datadir}/applications &>/dev/null || :
 /bin/touch --no-create %{_datadir}/icons/hicolor || :
-[ -x %{_bindir}/gtk-update-icon-cache ] && %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :
+[ -x /usr/bin/gtk-update-icon-cache ] && /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :
 
 %postun gui
-%{_bindir}/update-desktop-database %{_datadir}/applications &>/dev/null || :
+/usr/bin/update-desktop-database %{_datadir}/applications &>/dev/null || :
 /bin/touch --no-create %{_datadir}/icons/hicolor || :
-[ -x %{_bindir}/gtk-update-icon-cache ] && %{_bindir}/gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :
+[ -x /usr/bin/gtk-update-icon-cache ] && /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor || :
 
-%files
+%files -f bittorrent.lang
 %defattr(-,root,root,-)
-%doc README.txt credits.txt LICENSE.txt
-%{_bindir}/btdownloadcurses.py
-%{_bindir}/btdownloadheadless.py
-%{_bindir}/btlaunchmany.py
-%{_bindir}/btlaunchmanycurses.py
-%{_bindir}/btmaketorrent.py
-%{_bindir}/btreannounce.py
-%{_bindir}/btrename.py
-%{_bindir}/btshowmetainfo.py
-%{_bindir}/bttrack.py
+%doc README.txt credits.txt credits-l10n.txt LICENSE.txt TRACKERLESS.txt
+%{_bindir}/bittorrent-console
+%{_bindir}/bittorrent-curses
+%{_bindir}/bittorrent-tracker
+%{_bindir}/changetracker-console
+%{_bindir}/launchmany-console
+%{_bindir}/launchmany-curses
+%{_bindir}/maketorrent-console
+%{_bindir}/torrentinfo-console
+%{_bindir}/bttrack
+%{_bindir}/btseed
+%{pkidir}/bittorrent
 %dir %{python_sitelib}/BitTorrent
 %{python_sitelib}/BitTorrent/*.py
 %{python_sitelib}/BitTorrent/*.pyc
 %ghost %{python_sitelib}/BitTorrent/*.pyo
+%dir %{python_sitelib}/khashmir
+%{python_sitelib}/khashmir/*.py
+%{python_sitelib}/khashmir/*.pyc
+%ghost %{python_sitelib}/khashmir/*.pyo
 %attr(-,torrent,torrent) %dir %{bt_dir}
 %attr(-,torrent,torrent) %dir %{bt_statedir}
 %attr(-,torrent,torrent) %dir %{_localstatedir}/log/bittorrent
@@ -184,15 +210,72 @@
 
 %files gui
 %defattr(-,root,root,-)
-%{_bindir}/btdownloadgui.py
-%{_bindir}/btmaketorrentgui.py
+%{_bindir}/bittorrent
+%{_bindir}/maketorrent
 %{_datadir}/applications/%{desktopvendor}-bittorrent.desktop
 %{_datadir}/pixmaps/%{name}-%{version}
 %{_datadir}/icons/hicolor/48x48/apps/bittorrent.png
 
 %changelog
-* Thu Sep 15 2005 Paul Howarth <paul at city-fan.org> 4.0.4-1
-- new upstream release 4.0.4 (#168323)
+* Wed Nov 23 2005 Paul Howarth <paul at city-fan.org> 4.2.0-1
+- update to 4.2.0
+
+* Wed Nov 16 2005 Paul Howarth <paul at city-fan.org> 4.1.8-1
+- update to 4.1.8
+
+* Thu Nov  3 2005 Paul Howarth <paul at city-fan.org> 4.1.7-1
+- update to 4.1.7
+- don't use macros in build-time and scriptlet command paths
+
+* Thu Oct 13 2005 Paul Howarth <paul at city-fan.org> 4.1.6-2
+- append to seed log file instead of overwriting it
+
+* Thu Oct 13 2005 Paul Howarth <paul at city-fan.org> 4.1.6-1
+- update to 4.1.6
+
+* Thu Aug 18 2005 Paul Howarth <paul at city-fan.org> 4.1.4-1
+- update to 4.1.4
+- all "binaries" renamed; initscripts & desktop entry changed accordingly
+- don't need to edit out "env python2"... stuff
+- appdir now set in platform.py instead of __init__.py
+- add credits-l10n.txt as %%doc
+- add python-crypto dependency
+- add public.key in appropriate place
+- tweak Fedora/RHEL conditional build selection
+
+* Fri Jul 15 2005 Paul Howarth <paul at city-fan.org> 4.1.3-1
+- update to 4.1.3
+
+* Fri Jul 15 2005 Paul Howarth <paul at city-fan.org> 4.1.2-6
+- provides should be version-release tagged too
+
+* Tue Jul 11 2005 Paul Howarth <paul at city-fan.org> 4.1.2-5
+- move icon to %{_datadir}/icons/hicolor/48x48/apps instead of
+  %{_datadir}/pixmaps and update icon cache on installation if
+  necessary (#162465)
+- no need to set CFLAGS in %%build for noarch package
+- don't offer build option not to delete usr/group on uninstall
+- don't generate redundant python-abi dependency for FC >= 4
+
+* Thu Jul  7 2005 Paul Howarth <paul at city-fan.org> 4.1.2-4
+- bump and rebuild
+
+* Tue Jul  5 2005 Paul Howarth <paul at city-fan.org> 4.1.2-3
+- obsolete python-khashmir based on version-release, not just version
+
+* Mon Jul  4 2005 Paul Howarth <paul at city-fan.org> 4.1.2-2
+- add Provides/Obsoletes for python-khashmir for clean upgrades from split
+  bittorrent packages
+
+* Mon Jun 13 2005 Paul Howarth <paul at city-fan.org> 4.1.2-1
+- update to 4.1.2
+- add gettext build requirement for translations
+
+* Mon Jun  6 2005 Paul Howarth <paul at city-fan.org> 4.1.1-3
+- don't delete user/group torrent on uninstall
+  (see https://www.redhat.com/archives/fedora-extras-commits/2005-June/msg00271.html)
+
+* Thu Jun  2 2005 Paul Howarth <paul at city-fan.org> 4.1.1-2
 - tidy up description text
 - improved initscripts (#158273)
 - for versions on Fedora Core >= 4 or RHEL, put server data under /srv rather
@@ -202,14 +285,12 @@
   is called BitTorrent, includes the GUI in the same package and is built
   using python's dist tools and hence doesn't include all dependencies,
   provide initscripts etc.; this provides a clean upgrade path to Extras
-- don't delete user/group torrent on uninstall
-  (see https://www.redhat.com/archives/fedora-extras-commits/2005-June/msg00271.html)
-- move icon to %{_datadir}/icons/hicolor/48x48/apps instead of
-  %{_datadir}/pixmaps and update icon cache on installation if
-  necessary (#162465)
-- no need to set CFLAGS in %%build for noarch package
-- don't generate redundant python-abi dependency for FC >= 4
-- don't need to edit out "env python2"... stuff
+
+* Tue May 31 2005 Paul Howarth <paul at city-fan.org> 4.1.1-1
+- update to 4.1.1
+- add "khashmir" python library
+- add TRACKERLESS.txt as %%doc
+- add translations
 
 * Tue May 24 2005 Paul Howarth <paul at city-fan.org> 4.0.2-1
 - update to 4.0.2


Index: bittorrent.desktop
===================================================================
RCS file: /cvs/extras/rpms/bittorrent/FC-3/bittorrent.desktop,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- bittorrent.desktop	15 Mar 2005 16:41:48 -0000	1.1
+++ bittorrent.desktop	23 Nov 2005 12:38:32 -0000	1.2
@@ -2,7 +2,7 @@
 Encoding=UTF-8
 Name=BitTorrent File Transfer
 Comment=Distributed download of files from the Internet
-Exec=btdownloadgui.py
+Exec=bittorrent
 Icon=bittorrent.png
 Terminal=false
 Type=Application


Index: btseed.init
===================================================================
RCS file: /cvs/extras/rpms/bittorrent/FC-3/btseed.init,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- btseed.init	22 Sep 2005 10:04:22 -0000	1.2
+++ btseed.init	23 Nov 2005 12:38:32 -0000	1.3
@@ -3,7 +3,7 @@
 # chkconfig: - 16 84
 # description: Start up seed clients for BitTorrennt 
 #
-# processname: btlaunchmany.py
+# processname: btseed
 # config: /etc/sysconfig/btseed
 
 # source function library
@@ -25,18 +25,18 @@
 . /etc/sysconfig/btseed
 
 RETVAL=0
-prog="/usr/bin/btlaunchmany.py"
+prog="/usr/bin/btseed"
 btuser="torrent"
 
 case "$1" in
   start)
 	echo -n $"Starting BitTorrent seed client: "
-	runuser -s /bin/sh -c "$prog $OPTIONS $DIR" $btuser &> $SEEDLOG &
+	runuser -s /bin/sh -c "$prog $OPTIONS $DIR" $btuser >> $SEEDLOG 2>&1 &
 	disown -ar
 	usleep 500000
-	status btlaunchmany.py &> /dev/null && echo_success || echo_failure
+	status btseed &> /dev/null && echo_success || echo_failure
 	RETVAL=$?
-	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/btlaunchmany.py
+	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/btseed
 	echo
 	;;
   stop)
@@ -44,7 +44,7 @@
 	killproc $prog
 	#killproc "/usr/bin/python $prog"
 	RETVAL=$?
-	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/btlaunchmany.py
+	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/btseed
 	echo
 	;;
   restart|reload)
@@ -53,14 +53,14 @@
 	RETVAL=$?
         ;;
   condrestart)
-        if [ -f /var/lock/subsys/btlaunchmany.py ]; then
+        if [ -f /var/lock/subsys/btseed ]; then
                 $0 stop
 		$0 start
         fi
 	RETVAL=$?
         ;;
   status)
-        status btlaunchmany.py
+        status btseed
 	RETVAL=$?
         ;;
   *)


Index: bttrack.init
===================================================================
RCS file: /cvs/extras/rpms/bittorrent/FC-3/bttrack.init,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- bttrack.init	22 Sep 2005 10:04:22 -0000	1.2
+++ bttrack.init	23 Nov 2005 12:38:32 -0000	1.3
@@ -3,7 +3,7 @@
 # chkconfig: - 16 84
 # description: Start up tracker for BitTorrennt 
 #
-# processname: bttrack.py
+# processname: bttrack
 # config: /etc/sysconfig/bttrack
 
 # source function library
@@ -12,7 +12,6 @@
 # Check that networking is up.
 [ "${NETWORKING}" = "no" ] && exit 0
 
-
 # defaults
 PORT=6969
 STATEFILE=/srv/bittorrent/state/bttrack
@@ -25,10 +24,9 @@
 . /etc/sysconfig/bttrack
 
 RETVAL=0
-prog="/usr/bin/bttrack.py"
+prog="/usr/bin/bttrack"
 btuser="torrent"
 
-
 case "$1" in
   start)
 	echo -n $"Starting BitTorrent tracker: "
@@ -36,9 +34,9 @@
 		$OPTIONS --allowed_dir $DIR" $btuser &> /dev/null &
 	disown -ar
 	usleep 500000
-	status bttrack.py &> /dev/null && echo_success || echo_failure
+	status bttrack &> /dev/null && echo_success || echo_failure
 	RETVAL=$?
-	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/bttrack.py
+	[ $RETVAL -eq 0 ] && touch /var/lock/subsys/bttrack
 	echo
 	;;
   stop)
@@ -46,7 +44,7 @@
 	killproc $prog
 	#killproc "/usr/bin/python $prog"
 	RETVAL=$?
-	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/bttrack.py
+	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/bttrack
 	echo
 	;;
   restart|reload)
@@ -55,14 +53,14 @@
 	RETVAL=$?
         ;;
   condrestart)
-        if [ -f /var/lock/subsys/bttrack.py ]; then
+        if [ -f /var/lock/subsys/bttrack ]; then
                 $0 stop
 		$0 start
         fi
 	RETVAL=$?
         ;;
   status)
-        status bttrack.py
+        status bttrack
 	RETVAL=$?
         ;;
   *)


Index: sources
===================================================================
RCS file: /cvs/extras/rpms/bittorrent/FC-3/sources,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- sources	22 Sep 2005 10:04:22 -0000	1.7
+++ sources	23 Nov 2005 12:38:32 -0000	1.8
@@ -1 +1 @@
-7f03514dd4d684728a4e54c6ffce7d1f  BitTorrent-4.0.4.tar.gz
+a6a6d07a20e75da44c7dbe44ff7d5346  BitTorrent-4.2.0.tar.gz


Index: .cvsignore
===================================================================
RCS file: /cvs/extras/rpms/bittorrent/FC-3/.cvsignore,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- .cvsignore	22 Sep 2005 10:04:22 -0000	1.7
+++ .cvsignore	23 Nov 2005 12:38:32 -0000	1.8
@@ -1 +1 @@
-BitTorrent-4.0.4.tar.gz
+BitTorrent-4.2.0.tar.gz




More information about the fedora-extras-commits mailing list